Hi,<br><br>Thank you for your answer. I believe that the problem comes from the version of CubicWeb. There was a change in some modules and recent Orbui is not compatible with older Cubicweb release (i.e. the one packaged with Ubuntu 10.04). Everything works fine without Orbui dependency in __pkginfo__.py (my cube is not using Orbui explicitly yet) and it works with Orbui dependency on Ubuntu 12.04.<br>

<br>This is why I tried to install a newer release of CubicWeb on Ubuntu 10.04 and I asked a second question on the mailing list  because I had some difficulties.<br><br>Regards,<br><br>      Yann<br><div class="gmail_extra">

<br clear="all"><div>Yann Cointepas            Tel: +33 1 69 08 78 31<br>CEA - Neurospin           Fax: +33 1 69 08 79 80<br>Bâtiment 145, Point Courrier 156<br>91191 Gif-sur-Yvette cedex, France</div><br>
<br><br><div class="gmail_quote">On Thu, Dec 6, 2012 at 5:43 PM, Carlos Balderas <span dir="ltr"><<a href="mailto:carlos.balderas@gmail.com" target="_blank">carlos.balderas@gmail.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">

Hi Yann, <br><div class="gmail_extra"><br><br><div class="gmail_quote"><div class="im">On Thu, Dec 6, 2012 at 4:58 AM, Yann Cointepas <span dir="ltr"><<a href="mailto:yann@cointepas.net" target="_blank">yann@cointepas.net</a>></span> wrote:<br>


<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Hi,<br><br>How to install Orbui on Ubuntu 10.04 ? I have an import error when I try to create an instance using Orbui.<br>


</blockquote><div><br></div></div><div>Right now Orbui does not have installation packages, it works by cloning or copying the cube to the CW_CUBES_PATH directory or if it is included in your PYTHONPATH.</div><div><br></div>

<div>
The error seems to be related to the installation of cubicweb rather than the use of Orbui cube.</div><div>If you see in the line below you'll see the problem is in a module named predicates, which it is inside cubicweb.</div>

<div class="im">
<div> </div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><br>  File "/home/yc176684/cubicweb/cubes/orbui/views/debug.py", line 16, in <module><br>

    from cubicweb.predicates import none_rset, match_user_groups<br>ImportError: No module named predicates<br><br></blockquote><div><br></div></div><div>I have always worked with cubicweb by cloning from the source, so I don't have much experience about installing by using linux packages. I am sorry for that. =(</div>


<div><br></div><div>But it looks like something went wrong in the  cubicweb's installation process. One thing you could do to be sure is to create an instance of a simple cube, let's say blog cube, you should get the same error. If so, then please ask for help about the cubicweb's packages installation process.</div>


<div><br></div><div>I hope this helps a bit!.</div></div><span class="HOEnZb"><font color="#888888"><div><br></div>-- <br><div>Carlos Balderas</div><div><br></div><br>
</font></span></div>
</blockquote></div><br></div>